# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2018-10-18 08:16
from __future__ import unicode_literals

import celeryman.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='CeleryTask',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('task_full_name', models.CharField(max_length=250, verbose_name='Celery Task Full Name')),
                ('task_name', models.CharField(max_length=60, verbose_name='Celery Task Name')),
                ('is_active', models.BooleanField(default=True, verbose_name='Is task active?')),
                ('last_run', models.DateTimeField(blank=True, null=True)),
            ],
            options={
                'verbose_name': 'Usable Celery Task',
                'verbose_name_plural': 'Usable Celery Tasks',
            },
        ),
        migrations.CreateModel(
            name='ManagedTask',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('task_name', models.CharField(blank=True, max_length=60, null=True, validators=[celeryman.validators.task_name_validator], verbose_name='Celery Task Name')),
                ('celery_task_id', models.CharField(blank=True, max_length=36, null=True, verbose_name='Celery Task ID')),
                ('celery_task_args', models.TextField(blank=True, default=[], null=True, validators=[celeryman.validators.task_args_validator], verbose_name='Celery Task Args')),
                ('celery_task_status', models.IntegerField(choices=[(0, 'PENDING'), (1, 'STARTED'), (2, 'RETRY'), (3, 'FAILURE'), (4, 'SUCCESS'), (5, 'REVOKED'), (6, 'REJECTED'), (7, 'CRASHED')], default=0)),
                ('is_enable', models.BooleanField(default=False, verbose_name='Enable?')),
                ('created_time', models.DateTimeField(auto_now_add=True)),
                ('manual', models.BooleanField(default=True, verbose_name='Manual trigged')),
                ('task', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='celerytask_task', to='celeryman.CeleryTask')),
            ],
            options={
                'verbose_name': 'Managed Celery Task',
                'verbose_name_plural': 'Managed Celery Tasks',
            },
        ),
    ]
